#!/usr/bin/env python

from WebStack.Adapters import BaseHTTPRequestHandler
from Simple import SimpleResource
from LoginRedirect import LoginRedirectResource, LoginRedirectAuthenticator
import BaseHTTPServer

# Special magic incantation.

handler = BaseHTTPRequestHandler.HandlerFactory(
    LoginRedirectResource(
        "http://localhost:8081",
        "http://localhost:8080",
        SimpleResource(),
        LoginRedirectAuthenticator("horses")
    )
)
address = ("", 8080)
server = BaseHTTPServer.HTTPServer(address, handler)
server.serve_forever()

# vim: tabstop=4 expandtab shiftwidth=4
